/* 
 * (c) 2015 - 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _BRUSHES_H_
#define _BRUSHES_H_

#include "tools.h"

#define DEF_BRUSH_DIM	(8.)

typedef enum{
	BRUSH_PENCIL = 0,
	BRUSH_RECTANGLE,
	BRUSH_ELLIPSE,
	BRUSH_IMAGE,
	BRUSH_GRADIENT,
	BRUSH_CROSSHATCH,
	BRUSH_RANDDOTS,
	BRUSH_FSLASH,
	BRUSH_BSLASH,
	BRUSH_LAST
}BrushType;

DrawTool *brush_get_tool(void);
void brush_set_width(double width);
void brush_set_spacing(double spacing);
void brush_init(GtkBuilder *builder);
//void brush_pencil_activate(void);
void brush_image_brush_activate(void);
int brush_set_brush_image_from_selection(GdkPixbuf *pixbuf);

#endif
