/* 
 * (c) 2015 - 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _FILE_H_
#define _FILE_H_

#include <gtk/gtk.h>

#define FILE_NEW		(1)
#define FILE_EXISTING	(0)
#define FILE_NEED_SAVE	(2)

#ifndef FILE_FORMAT_KEY
#define FILE_FORMAT_KEY	"pixbuf-format"
#endif

int file_open(GtkWidget *widget);
int file_save_dialog(GtkWidget *widget, gboolean save_as);
void file_chooser_dialog_add_writable_pixbuf_formats (GtkFileChooser *chooser, char *filter_name);
GdkPixbufFormat* get_gdk_pixbuf_format_by_extension (gchar *uri);
void file_set_status(gint new_status);
gint file_get_status(void);
void file_new_file(void);
void file_new_file_at_size(void);
int file_open_pixbuf(char *filename);
GdkPixbuf *file_load_pixbuf(char *filename, gboolean warn);
gchar *file_open_dialog(GtkWidget *widget);

#endif
