/* 
 * (c) 2015 - 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef __EFFECTS_DIALOG_H__
#define __EFFECTS_DIALOG_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define EFFECTS_TYPE_DIALOG                  (effects_dialog_get_type ())
#define EFFECTS_DIALOG(obj)                  (G_TYPE_CHECK_INSTANCE_CAST ((obj), EFFECTS_TYPE_DIALOG, EffectsDialog))
#define EFFECTS_DIALOG_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST ((klass), EFFECTS_TYPE_DIALOG, EffectsDialogClass))
#define EFFECTS_IS_DIALOG(obj)               (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EFFECTS_TYPE_DIALOG))
#define EFFECTS_IS_DIALOG_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE ((klass), EFFECTS_TYPE_DIALOG))
#define EFFECTS_DIALOG_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS ((obj), EFFECTS_TYPE_DIALOG, EffectsDialogClass))

typedef struct _EffectsDialog        EffectsDialog;
typedef struct _EffectsDialogClass   EffectsDialogClass;
typedef struct _EffectsDialogPrivate EffectsDialogPrivate;


struct _EffectsDialog
{
	GtkDialog parent_instance;
	EffectsDialogPrivate *priv;
};

struct _EffectsDialogClass
{
	GtkDialogClass parent_class;

	void (*default_clicked) (GObject *obj);
	void (*update_image) (EffectsDialog *ed, gpointer gegl_buffer);
};

GType      effects_dialog_get_type (void) G_GNUC_CONST;

GtkWidget *effects_dialog_new (GtkWindow *window, char *op,
							  cairo_surface_t *surface);

cairo_surface_t *fx_dlg_get_cairo_surface(EffectsDialog *ed);

G_END_DECLS

#endif /* __EFFECTS_DIALOG_H__ */
