/* 
 * (c) 2015 - 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _SELECTION_H_
#define _SELECTION_H_

#include <gtk/gtk.h>
#include "tools.h"


DrawTool *sel_get_tool(void);
gboolean sel_have(void);
GdkPixbuf *sel_copy(void);
void sel_create_from_pixbuf(GdkPixbuf *pixbuf);
void sel_rotate(double a);
int sel_crop_to(void);
void sel_flip(int dir);
void sel_cut(void);
cairo_surface_t *sel_get_cur_image(void);
void sel_scale(int neww, int newh);
void sel_resize_cur(int neww, int newh, gboolean centered);
int sel_apply_effect(cairo_surface_t *surf);
void tb_clear_selection_clicked(GtkWidget *widget);

#endif
