/* 
 * (c) 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _SETTINGS_H_
#define _SETTINGS_H_


#define VERSION_MAX		(12)
#define FONTNAME_MAX	(40)
#define COL_MAX			(4)

typedef struct{
	char version[VERSION_MAX];
	int width;
	int height;
	char fontname[FONTNAME_MAX]; // Font dialog
	double fgcolor[COL_MAX]; // r g b a
	double bgcolor[COL_MAX]; // r g b a
	int line_width;
	int fill_mode;
	int antialias;
	int use_arrow;
	int trans_sel;
	/* TODO: Settings for text tool dialog */
}Settings;


int settings_read(Settings *settings, char *filename);
void settings_write(Settings *settings, char *filename);

#endif
