/* 
 * (c) 2015 - 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _UNDO_H_
#define _UNDO_H_

#include <gtk/gtk.h>
#include "simple-canvas.h"
#include "undo-linear.h"

#define UNDO_DEF_MAX	(20)

int undo_init(SimpleCanvas *canvas);
void undo_add(SimpleCanvas *canvas, GdkRectangle rect, gchar *desc);
void undo_do_undo(SimpleCanvas *canvas);
void undo_do_redo(SimpleCanvas *canvas);
void undo_add_from_surface(SimpleCanvas *canvas, cairo_surface_t *surface,
						   GdkRectangle rect, gchar *desc);
gboolean undo_can_undo(SimpleCanvas *canvas);
gboolean undo_can_redo(SimpleCanvas *canvas);
void undo_clear(SimpleCanvas *canvas);
//void undo_update_menu_text(SimpleCanvas *canvas);
void undo_add_temp(SimpleCanvas *canvas, gchar *desc);

#endif
